## org.eclipse.datatools.modelbase.sql.datatypes
Interface PredefinedDataType

All Superinterfaces:
  DataType, SQLDataType, SQLObject

All Known Subinterfaces:
  ApproximateNumericDataType, BinaryStringDataType, BooleanDataType, CharacterStringDataType, DataLinkDataType, DateDataType, ExactNumericDataType, FixedPrecisionDataType, IntegerDataType, IntervalDataType, NumberDataType, NumericalDataType, TimeDataType, XMLDataType

All Known Implementing Classes:
  ApproximateNumericDataTypeImpl, BinaryStringDataTypeImpl, BooleanDataTypeImpl, CharacterStringDataTypeImpl, DataLinkDataTypeImpl, DateDataTypeImpl, ExactNumericDataTypeImpl, FixedPrecisionDataTypeImpl, IntegerDataTypeImpl, IntervalDataTypeImpl, NumericalDataTypeImpl, PredefinedDataTypeImpl, TimeDataTypeImpl, XMLDataTypeImpl

    public interface PredefinedDataType

extends SQLDataType

A representation of the model object 'Predefined Data Type'. Reference: 5WD-02-Foundation-2002-12 4.1 Data types

The following features are supported:

- `Primitive Type`

See Also:
  `SQLDataTypesPackage.getPredefinedDataType()`

Method Summary
`PrimitiveType` `getPrimitiveType()` Returns the value of the 'Primitive Type' attribute.
`void` `setPrimitiveType(PrimitiveType value)` Sets the value of the '`Primitive Type`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getPrimitiveType

    PrimitiveType getPrimitiveType()

  Returns the value of the 'Primitive Type' attribute. The literals are from the enumeration `PrimitiveType`.

  If the meaning of the 'Primitive Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Primitive Type' attribute.
  See Also:
    `PrimitiveType`, `setPrimitiveType(PrimitiveType)`, `SQLDataTypesPackage.getPredefinedDataType_PrimitiveType()`

### setPrimitiveType

    void setPrimitiveType(PrimitiveType value)

  Sets the value of the '`Primitive Type`' attribute.

  Parameters:
    `value` - the new value of the 'Primitive Type' attribute.
  See Also:
    `PrimitiveType`, `getPrimitiveType()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.